[arch-commits] Commit in gegl/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Mar 21 22:31:42 UTC 2019


    Date: Thursday, March 21, 2019 @ 22:31:41
  Author: jgc
Revision: 348851

archrelease: copy trunk to extra-x86_64

Added:
  gegl/repos/extra-x86_64/PKGBUILD
    (from rev 348850, gegl/trunk/PKGBUILD)
Deleted:
  gegl/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  108 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-21 22:31:37 UTC (rev 348850)
+++ PKGBUILD	2019-03-21 22:31:41 UTC (rev 348851)
@@ -1,54 +0,0 @@
-# Maintainer: Daniel Isenmann <daniel at archlinux.org>
-
-pkgname=gegl
-pkgver=0.4.12
-pkgrel=1
-pkgdesc="Graph based image processing framework"
-arch=('x86_64')
-url="http://www.gegl.org/"
-license=('GPL3' 'LGPL3')
-depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'lua' 'jasper' 'lensfun' 'suitesparse')
-makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'python2' 'gobject-introspection' 'git')
-optdepends=('ffmpeg: ffmpeg plugin')
-_commit=59c7371ee04b98908fe3047a47abe18b01c1c6eb  # tags/GEGL_0_4_12^0
-source=("git+https://gitlab.gnome.org/GNOME/gegl.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  mkdir path
-  ln -s /usr/bin/python2 path/python
-
-  cd ${pkgname}
-  git cherry-pick -n c1c3541caab485384087bbbcf1c83ef2d5bd4d43
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
-    --with-libavformat --with-jasper --disable-docs \
-    --enable-workshop
-
-  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  make -k check || :
-}
-
-package() {
-  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
-  cd ${pkgname}
-  make DESTDIR="${pkgdir}" install
-}

Copied: gegl/repos/extra-x86_64/PKGBUILD (from rev 348850, gegl/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-21 22:31:41 UTC (rev 348851)
@@ -0,0 +1,54 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.4.14
+pkgrel=1
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="https://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse')
+makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'python2' 'gobject-introspection' 'git')
+optdepends=('ffmpeg: ffmpeg plugin')
+_commit=75db50c77eb93ce23222b86caf93140b484b5900  # tags/GEGL_0_4_14^0
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  git cherry-pick -n c1c3541caab485384087bbbcf1c83ef2d5bd4d43
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+    --with-libavformat --with-jasper --disable-docs \
+    --enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}


More information about the arch-commits mailing list